### Method

# FwupdPlugin Device set_update_request_id

since: 1.8.6

#### Declaration [src]

    void
    fu_device_set_update_request_id (
      FuDevice* self,
      const gchar* update_request_id
    )

#### Description [src]

Sets the update request ID as specified in `LVFS::UpdateRequestId`.

Available since: 1.8.6

#### Parameters

`update_request_id`

  Type: `const gchar*`

  A string, e.g. `org.freedesktop.fwupd.request.do-not-power-off`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.